Index: /data/trunk/models/spaceships/human_spaceship_fighter.mtl
===================================================================
--- /data/trunk/models/spaceships/human_spaceship_fighter.mtl	(revision 4518)
+++ /data/trunk/models/spaceships/human_spaceship_fighter.mtl	(revision 4519)
@@ -1,4 +1,4 @@
 # Blender3D MTL File: human_spaceship_fighter.blend
-# Material Count: 1
+# Material Count: 2
 newmtl (null)
 Ns 96.078431
@@ -11,2 +11,13 @@
 
 
+newmtl Material_human_spaceship_f.001
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd human_spaceship_fighter_512.png
+
+
Index: /data/trunk/models/spaceships/pirates_spaceship_fighter.mtl
===================================================================
--- /data/trunk/models/spaceships/pirates_spaceship_fighter.mtl	(revision 4518)
+++ /data/trunk/models/spaceships/pirates_spaceship_fighter.mtl	(revision 4519)
@@ -1,4 +1,14 @@
 # Blender3D MTL File: pirates_spaceship_fighter.blend
-# Material Count: 1
+# Material Count: 2
+newmtl (null)
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
 newmtl Material_pirates_spaceship_fig
 Ns 96.078431
@@ -9,5 +19,5 @@
 d 1.000000
 illum 2
-map_Kd pirates_spaceship_fighter_512.png
+map_Kd pirates_spaceship_fighter_256.png
 
 
Index: /data/trunk/models/spaceships/pirates_spaceship_ragnar.mtl
===================================================================
--- /data/trunk/models/spaceships/pirates_spaceship_ragnar.mtl	(revision 4519)
+++ /data/trunk/models/spaceships/pirates_spaceship_ragnar.mtl	(revision 4519)
@@ -0,0 +1,23 @@
+# Blender3D MTL File: Ragnar-finalcut-finaltext-withMP.blend
+# Material Count: 2
+newmtl (null)
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl Material_pirates_spaceship_rag
+Ns 92.156863
+Ka 0.000000 0.000000 0.000000
+Kd 0.512000 0.512000 0.512000
+Ks 0.250000 0.250000 0.250000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd pirates_spaceship_ragnar_512.png
+
+
Index: /data/trunk/models/spacestations/ZHARA_Space_Station.mtl
===================================================================
--- /data/trunk/models/spacestations/ZHARA_Space_Station.mtl	(revision 4519)
+++ /data/trunk/models/spacestations/ZHARA_Space_Station.mtl	(revision 4519)
@@ -0,0 +1,33 @@
+# Blender3D MTL File: ZHARASpaceStation.blend
+# Material Count: 3
+newmtl (null).002
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null).001
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl Material_ZHARA_Space_Station_1
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd ZHARA_Space_Station_1024.png
+
+
Index: /data/trunk/models/spacestations/ZHARA_Space_Station.oif
===================================================================
--- /data/trunk/models/spacestations/ZHARA_Space_Station.oif	(revision 4519)
+++ /data/trunk/models/spacestations/ZHARA_Space_Station.oif	(revision 4519)
@@ -0,0 +1,305 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.01.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret01</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.01.SSTurret>
+
+  <MP.02.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret02</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.02.SSTurret>
+
+  <MP.03.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret03</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.03.SSTurret>
+
+  <MP.04.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret04</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.04.SSTurret>
+
+  <MP.05.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret05</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.05.SSTurret>
+
+  <MP.06.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret06</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.06.SSTurret>
+
+  <MP.07.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret07</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.07.SSTurret>
+
+  <MP.08.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret08</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.08.SSTurret>
+
+  <MP.09.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret09</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.09.SSTurret>
+
+  <MP.10.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret10</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.10.SSTurret>
+
+  <MP.11.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret11</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.11.SSTurret>
+
+  <MP.12.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret12</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.12.SSTurret>
+
+  <MP.13.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret13</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.13.SSTurret>
+
+  <MP.14.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret14</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.14.SSTurret>
+
+  <MP.15.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret15</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.15.SSTurret>
+
+  <MP.16.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret16</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.16.SSTurret>
+
+  <MP.17.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.17.RedLight>
+
+  <MP.18.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.18.RedLight>
+
+  <MP.19.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.19.GreenLight>
+
+  <MP.20.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.20.GreenLight>
+
+  <MP.21.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.21.RedLight>
+
+  <MP.22.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.22.RedLight>
+
+  <MP.23.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.23.GreenLight>
+
+  <MP.24.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.24.GreenLight>
+
+  <MP.25.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.25.BlueLight>
+
+  <MP.26.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.26.BlueLight>
+
+  <MP.27.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.27.BlueLight>
+
+  <MP.28.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.28.BlueLight>
+
+  <MP.29.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.29.BlueLight>
+
+  <MP.30.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.30.BlueLight>
+
+  <MP.31.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.31.BlueLight>
+
+  <MP.32.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.32.BlueLight>
+
+</MountPoints>
+
+</ObjectInformationFile>
+
+
+
+
+
+
+
+
+
+
+
Index: /data/trunk/models/weapons/SSTurret.mtl
===================================================================
--- /data/trunk/models/weapons/SSTurret.mtl	(revision 4519)
+++ /data/trunk/models/weapons/SSTurret.mtl	(revision 4519)
@@ -0,0 +1,13 @@
+# Blender3D MTL File: Turret.blend
+# Material Count: 1
+newmtl Material.001_Turret.jpeg.001
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd SSTurret_256.png
+
+
